
package cn.sh.stc.sict.cloud.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description 社交登录类型
 * @Author
 * @Date
 */
@Getter
@AllArgsConstructor
public enum LoginTypeEnum {
    /**
     * 账号密码登录
     */
    PWD("pwd", "账号密码登录"),

    /**
     * 验证码登录
     */
    SMS("sms", "验证码登录"),

    /**
     * 验证码登录
     */
    SSB("ssb", "随申办token"),

    /**
     * 纳里用户系统公众号
     * 香山中医医院公众号
     * 上海市黄浦区精神卫生中心
     * 上海市黄浦区妇幼保健所
     * 上海市黄浦区顺昌医院
     * 上海市黄浦区半淞园路街道社区卫生服务中心
     */
    WOA_NL("woa_nl", "纳里用户系统公众号登录"),

    /**
     * 打浦桥，外滩，小东门，老西门，豫园，五里桥，淮海，瑞二
     */
    WOA_ZZ("woa_zz", "中智用户系统公众号登录"),
    /**
     * 上海交通大学医学院附属第九人民医院黄浦分院
     */
    WOA_WD("woa_wd", "万达公众号用户系统公众号登录"),

    /**
     * H5登录
     */
    H5("h5", "H5登录"),

    /**
     * QQ登录
     */
    QQ("qq", "QQ登录"),

    /**
     * 微信登录
     */
    WECHAT("wx", "微信登录");


    /**
     * 类型
     */
    private final String type;
    /**
     * 描述
     */
    private final String description;

    public static LoginTypeEnum match(String type) {
        for (LoginTypeEnum loginType : LoginTypeEnum.values()) {
            if (loginType.getType().equals(type)) {
                return loginType;
            }
        }
        return null;
    }
}
