package cn.sh.stc.sict.cloud.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 中智用户体系枚举
 *
 * @author gao
 * @date 2023/04/27 15:16
 */
@AllArgsConstructor
@Getter
public enum ZzUserApiEnum {

    /**
     * 中智用户体系公众号信息
     */
    DAPUQIAO("/dpq", "wxd831bfb5879b3522", "booking.hpdapuqiao.com", "42502942300"),
    WAITAN("/wt", "wx8f9db9da2fbe1d5b", "booking.hpwaitan.com", "42503639100"),
    WULIQIAO("/wlq", "wxa29d485b25f6aaf0", "gzh.hpwlq.com", "79705627000"),
    HUAIHAIZHONGLU("/hhzl", "wxf2cbbfdc28aa93e6", "gzh.hphuaihai.com", "42502940700"),
    RUIJINERLU("/rjel", "wxf0b1f6ee9e16effd", "booking.shruier.cn", "42502992500"),
    YUYUAN("/yy", "wx3691d4535427bfc5", "gzh.yuyuanswydt.cn", "42502884200"),
    XIAODONGMEN("/xdm", "wx1e4ca6fecfa4a0bb", "gzh.hpxiaodongmen.com", "42507025800"),
    LAOXIMEN("/lxm", "wxdf6e240a731c70ea", "booking.hplxmsw.cn", "42507018600");

    private final String relativePath;
    private final String appid;
    private final String domain;
    private final String institutionCode;

    public static ZzUserApiEnum find(String appid) {
        return Arrays.stream(values())
                .filter(institution -> institution.appid.equals(appid))
                .findFirst()
                .orElseThrow(() -> new IllegalArgumentException("No Institution with appid " + appid));
    }

}
