package cn.sh.stc.sict.cloud.common.core.dto;


import cn.hutool.core.util.StrUtil;
import cn.sh.stc.sict.cloud.common.core.constant.UserConstant;
import lombok.Data;

/**
 * 公众号-香山中医医院用户信息
 */
@Data
public class XSZYUserInfo {

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 就诊人ID
     */
    private String mpiId;

    /**
     * 姓名
     */
    private String patientName;

    /**
     * 证件号
     */
    private String certificate;

    /**
     * 证件类型
     */
    private String certificateType;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 医院编码
     */
    private String hospitalCode;
    /**
     * 卡类型0：社保卡；1：医保卡；2：统一自费就诊卡；9：其他卡
     */
    private String mediCardType;

    /**
     * 卡号
     */
    private String mediCardId;


    /**
     * 将纳里用户卡类型映射为挂号时的卡类型
     * 1:就诊卡
     * 2:医保卡
     * 3:病历号
     * 4:健康卡
     * 5:社保卡
     * 6:住院卡
     * 7:院内健健康卡
     * 8:体检卡
     */
    public static String fromNlType(String mediCardType) {
        if (StrUtil.isBlank(mediCardType)) {
            return null;
        }

        if (mediCardType.equals("5")) {
            return UserConstant.SOCIAL_SECURITY_CARD;
        } else if (mediCardType.equals("2")) {
            return UserConstant.MEDICAL_INSURANCE_CARD;
        } else if (mediCardType.equals("1")) {
            return UserConstant.UNIFIED_MEDICAL_TREATMENT_EXPENSE_CARD;
        } else {
            return UserConstant.OTHER_CARD;
        }
    }
}
